#include "help_win.h"
#include <QStackedWidget>

HelpWin::HelpWin(QWidget * p):QDialog(p) {
	setupUi(this);

	connect(prevbtn, SIGNAL(clicked()), this, SLOT(prev()));
	connect(nextbtn, SIGNAL(clicked()), this, SLOT(next()));
}

void HelpWin::next() {
	sw->setCurrentIndex(sw->currentIndex()+1 > sw->count() ? sw->count() : sw->currentIndex()+1);
}

void HelpWin::prev() {
	sw->setCurrentIndex(sw->currentIndex()-1 < 0 ? 0 : sw->currentIndex()-1);
}
